org.eclipse.microprofile.reactive.messaging.tck.signatures.invalid

## Class IncomingReturningNonVoid

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.signatures.invalid.IncomingReturningNonVoid

    @ApplicationScoped
    public class IncomingReturningNonVoid
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`IncomingReturningNonVoid()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `invalid(String payload)`
`org.reactivestreams.Publisher<Message<String>>` `sourceForStringPayload()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IncomingReturningNonVoid

    public IncomingReturningNonVoid()

### Method Detail

#### sourceForStringPayload

    public org.reactivestreams.Publisher<Message<String>> sourceForStringPayload()

#### invalid

    public String invalid(String payload)